### Method

# GWeather Location serialize

#### Declaration [src]

    GVariant*
    gweather_location_serialize (
      GWeatherLocation* loc
    )

#### Description [src]

Transforms a `GWeatherLocation` into a `GVariant`, in a way that calling `gweather_location_deserialize()` will hold an equivalent `GWeatherLocation`. The resulting variant can then be stored into GSettings or on disk. This call is only valid for cities, weather stations and detached locations. The format of the resulting `GVariant` is private to libgweather, and it is subject to change. You should use the “v” format in GSettings, to ensure maximum compatibility with future versions of the library.

#### Return value

Type: `GVariant`

The serialization of `location`.

The data is owned by the instance.